package com.virtual.plat.server.virtualhost;

import com.virtual.plat.server.entity.Domain;
import com.virtual.plat.server.entity.QueryConfig;
import com.virtual.plat.server.entity.QueryResult;
import java.util.List;

public interface DomainDao {

   QueryResult readByCondition(QueryConfig var1);

   void insert(Domain var1);

   void updateBySql(String var1);

   void updateDomainStatus(Long var1, Long var2, String var3);

   void deleteDomainByCloudId(Long var1);

   void updateUserVm(Long var1);

   void update(String var1, String var2);

   void updateDomainStatus(String var1, Long var2, String var3);

   void deleteDomain(String var1);

   void updateDomainStatus(String var1, long var2);

   Domain readById(Long var1);

   Domain readByUniqueKeyAndCloudId(String var1, long var2);

   List queryDomainPublicIdList();

   void delDomainsByUniquekeys(long var1, List var3);

   QueryResult readDomainsAndTempletsByCloudId(long var1);

   boolean update(Domain var1);

   boolean delete(Domain var1);

   QueryResult readTemplateByConfig(QueryConfig var1);

   QueryResult readTemplatesByCloudId(long var1);

   List readVmIdAndHostNameMapByUniqueKeyList(List var1);
}
